# Method: projects.locations.sfdcInstances.sfdcChannels.list

- [HTTP request](https://docs.cloud.google.com/application-integration/docs/reference/rest/v1/projects.locations.sfdcInstances.sfdcChannels/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/application-integration/docs/reference/rest/v1/projects.locations.sfdcInstances.sfdcChannels/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/application-integration/docs/reference/rest/v1/projects.locations.sfdcInstances.sfdcChannels/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/application-integration/docs/reference/rest/v1/projects.locations.sfdcInstances.sfdcChannels/list#body.request_body)
- [Response body](https://docs.cloud.google.com/application-integration/docs/reference/rest/v1/projects.locations.sfdcInstances.sfdcChannels/list#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/application-integration/docs/reference/rest/v1/projects.locations.sfdcInstances.sfdcChannels/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/application-integration/docs/reference/rest/v1/projects.locations.sfdcInstances.sfdcChannels/list#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/application-integration/docs/reference/rest/v1/projects.locations.sfdcInstances.sfdcChannels/list#try-it)

Lists all sfdc channels that match the filter. Restrict to sfdc channels belonging to the current client only.

### HTTP request

`GET https://integrations.googleapis.com/v1/{parent=projects/*/locations/*/sfdcInstances/*}/sfdcChannels`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The client, which owns this collection of SfdcChannels. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The size of entries in the response. If unspecified, defaults to 100. |
| `pageToken` | `string` The token returned in the previous response. |
| `filter` | `string` Filtering as supported in <https://developers.google.com/authorized-buyers/apis/guides/list-filters>. |
| `readMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` The mask which specifies fields that need to be returned in the SfdcChannel's response. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/application-integration/docs/reference/rest/v1/ListSfdcChannelsResponse`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `integrations.sfdcChannels.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).